### Method

# Gtk TreeModelget_iter_first

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_model_get_iter_first (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Initializes `iter` with the first iterator in the tree (the one at the path “0”).

Returns `FALSE` if the tree is empty, `TRUE` otherwise.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The uninitialized `GtkTreeIter`

  The argument will be set by the function.
  The data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE`, if `iter` was set.